#!/bin/bash

#all done in x server
exit 0

#enable/disable all touch, pen/eraser devices

if test -z $1; then
  echo fly-dpms-callback.sh: neither 'off' nor 'on' args
  exit
fi

if [ -z ${DESKTOP_SESSION} ]; then DESKTOP_SESSION="fly"; fi

if [ ${DESKTOP_SESSION} = "fly-tablet" ] || [ ${DESKTOP_SESSION} = "fly-mobile" ]; then

dev_names=`fly-wmfunc FLYWM_GET_INPUT_DEVICES   0xF | cut -f1  2> /dev/null | tr '\n' ';'`
IFS=';'

if [ $1 == "off" ]; then
  on_off="disable"
else 
  on_off="enable"
fi

for name_i in ${dev_names}; do
  xinput $on_off "${name_i}"
done

fi
